This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 856766 - (CVE-2012-3955) CVE-2012-3955 dhcp: reduced expiration time of an IPv6 lease may cause dhcpd to crash
CVE-2012-3955 dhcp: reduced expiration time of an IPv6 lease may cause dhcpd ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120912,reported=2...
: Security
Depends On: 856770 858130
Blocks: 855229 856776
  Show dependency treegraph
 
Reported: 2012-09-12 14:46 EDT by Vincent Danen
Modified: 2015-08-20 07:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the dhcpd daemon handled the expiration time of IPv6 leases. If dhcpd's configuration was changed to reduce the default IPv6 lease time, lease renewal requests for previously assigned leases could cause dhcpd to crash.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 23:45:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
fix derived from upstream dhcp-4.2.4-P2 (7.34 KB, patch)
2012-09-12 14:53 EDT, Vincent Danen
no flags Details | Diff
patch for dhcp-4.1.1-P1 in RHEL-6 (4.39 KB, patch)
2012-09-17 06:14 EDT, Jiri Popelka
no flags Details | Diff

  None (edit)
Description Vincent Danen 2012-09-12 14:46:07 EDT
A flaw was reported in ISC DHCP [1] where it was found that reducing the expiration time for an active IPv6 lease could possible cause the dhcpd server to crash, resulting in a denial of service condition for clients.

ISC has recommended that when setting a value for the default-least-time option, that it be done in the configuration file and not reduced once set.

This has been corrected in upstream versions 4.1-ESV-R7 and 4.2.4-P2.

[1] https://kb.isc.org/article/AA-00779/75
Comment 1 Vincent Danen 2012-09-12 14:53:37 EDT
Created attachment 612210 [details]
fix derived from upstream dhcp-4.2.4-P2
Comment 2 Vincent Danen 2012-09-12 14:54:34 EDT
Created dhcp tracking bugs for this issue

Affects: fedora-all [bug 856770]
Comment 4 Jiri Popelka 2012-09-17 06:14:17 EDT
Created attachment 613622 [details]
patch for dhcp-4.1.1-P1 in RHEL-6

extracted from diff of dhcp-4.1-ESV-R6 and dhcp-4.1-ESV-R7
Comment 7 Fedora Update System 2012-09-17 19:12:53 EDT
dhcp-4.2.4-15.P2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Huzaifa S. Sidhpurwala 2012-09-25 04:35:24 EDT
Upstream recommends that this issue can be mitigated by setting a value for the "default-lease-time" option in the configuration file and should not reduced once it is set.

Statement:

This issue does not affect the version of dhcp as shipped with Red Hat Enterprise Linux 5.
Comment 20 Fedora Update System 2012-09-26 04:52:52 EDT
dhcp-4.2.4-13.P2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2012-10-02 23:20:44 EDT
dhcp-4.2.4-1.P2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 errata-xmlrpc 2013-02-21 03:23:50 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0504 https://rhn.redhat.com/errata/RHSA-2013-0504.html

Note You need to log in before you can comment on or make changes to this bug.